Bug 228002 - CVE-2007-0239 hyperlink escaping issue
Summary: CVE-2007-0239 hyperlink escaping issue
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openoffice.org (Show other bugs)
(Show other bugs)
Version: 5.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard: impact=moderate,public=200601027,sour...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-09 14:22 UTC by Mark J. Cox
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHSA-2007-0069
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-22 13:40:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0069 normal SHIPPED_LIVE Important: openoffice.org security update 2007-03-22 13:40:34 UTC

Description Mark J. Cox 2007-02-09 14:22:52 UTC
Some shell characters are not escaped in hyperlinks.  If a victim loads a OO
file that contains a malicious hyperlink it could run shell commands as the
victim if they click on it.  

However this issue is mitigated somewhat as you can't do whitespace and many
special characters, so you're really limited to running single existing commands
with no arguments as the unprivileged user.

        http://qa.openoffice.org/issues/show_bug.cgi?id=58013
        http://qa.openoffice.org/issues/show_bug.cgi?id=72543

Already public in the bugs, but will be announced on 20070227

Comment 2 Caolan McNamara 2007-02-09 14:49:17 UTC
build underway, will be RHEL-5:openoffice_org-2.0.4-5.4.16.2

Comment 3 Caolan McNamara 2007-02-10 10:49:29 UTC
done as RHEL-5:openoffice_org-2.0.4-5.4.16.2

Comment 4 Caolan McNamara 2007-02-23 13:03:15 UTC
oops, need one off the .17, not the .16, 
RHEL-5:openoffice.org-2.0.4-5.4.17.1 build underway

Comment 6 Caolan McNamara 2007-02-25 14:48:08 UTC
RHEL-5:openoffice.org-2.0.4-5.4.17.1 available

Comment 13 Mark J. Cox 2007-03-22 08:06:36 UTC
well the embargo looks busted by http://lwn.net/Articles/227144/
removing our embargo

Comment 14 Red Hat Bugzilla 2007-03-22 13:40:59 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0069.html



Note You need to log in before you can comment on or make changes to this bug.